﻿using System;

namespace EonaCat.HID.EventArguments
{
    /// <summary>
    /// Event args for error events
    /// </summary>
    public class HidErrorEventArgs : EventArgs
    {
        public IHid Device { get; }
        public Exception Exception { get; }

        public HidErrorEventArgs(IHid device, Exception ex)
        {
            Device = device;
            Exception = ex;
        }
    }
}