﻿using System;

namespace EonaCat.HID.EventArguments
{
    /// <summary>
    /// Event arguments with HID device info.
    /// </summary>
    public class HidEventArgs : EventArgs
    {
        public IHid Device { get; }

        public HidEventArgs(IHid device)
        {
            Device = device;
        }
    }
}