﻿using System;

namespace EonaCat.HID.EventArguments
{
    /// <summary>
    /// Event args for received data
    /// </summary>
    public class HidDataReceivedEventArgs : EventArgs
    {
        public IHid Device { get; }
        public byte[] Data { get; }

        public HidDataReceivedEventArgs(IHid device, byte[] data)
        {
            Device = device;
            Data = data;
        }
    }
}